==================
Version 1.10.alpha.1
==================

Include ministream sources into release tarballs.

- Translation updates
  - Turkish

==================
Version 1.10.alpha
==================

- Add translation comments across the project
- Add AdwCssClassBinding
- Deprecate AdwEnumListModel; switch everything to GtkEnumList
- Build
  - Require GTK 4.23.1
  - Depend on ministream instead of appstream
  - Make it possible to build on Android
  - Include prebuilt styles again
  - Resolve locale directory at runtime on Windows
- Adaptive preview
  - Try to contain window styles within the preview
  - Collapse the sidebar on small sizes
  - Fix casing in a message
  - Don't make device model names and Phosh names translatable
- AdwAboutDialog
  - Add :other-apps-title
- AdwAboutDialog and AdwAboutWindow
  - Speed up adding legal sections
  - Speed up adding credit sections
- AdwAlertDialog
  - Fix a crash when chaining up in response()
  - Fix the Since annotation on get_prefer_wide_layout()
- AdwApplication
  - Speed up initial style loading
- AdwBreakpointBin
  - Fix initial focus
- AdwButtonRow
  - Fix availability annotation
- AdwClampScrollable
  - Implement GtkScrollable.get_border()
- AdwEntryRow
  - Fix clicking edit icon
  - Reduce the number of notify::opacity emissions on children
- AdwNavigationView
  - Fix swipe direction
- AdwOverlaySplitView
  - Add a unique style class to the overlay sidebar
- AdwShortcutLabel
  - Use a more natural modifier ordering
  - Improve key labels on macOS
- AdwSidebar
  - Add :prefix and :suffix
  - Set tab behavior to 'item'
  - Fix adding multiple sections at once
  - Fix a crash when removing multiple items at once
- AdwSpinnerPaintable
  - Support icon weight
- AdwStyleManager
  - Implement Android settings backend
  - Use default timeout when talking to the settings portal
  - Fix gtk-application-prefer-dark-theme warnings with newer GTK
  - Speed up initial loading
- AdwSwipeTracker
  - Ignore mostly orthogonal touchpad scrolls
- AdwTabView
  - Fix a deprecation
- AdwViewSwitcherSidebar
  - Add :prefix and :suffix
  - Fix a leak
- Demo
  - Adjust shortcuts on macOS
- Examples
  - Fix a build error
- Stylesheet
  - Reduce icon weight for large icons
  - Improve popover shadow
  - Fix svg asset rendering with newer GTK
  - Adapt to GtkSpinner changes in newer GTK
  - Fix bottom padding with .navigation-sidebar
  - Fix a copypaste error
- Update internal icons
- Various cleanups
- Translation updates
  - Belarusian
  - Chinese (Taiwan)
  - Cornish
  - Czech
  - Dutch
  - Filipino
  - Kabyle
  - Norwegian Bokmål
  - Persian
  - Polish
  - Romanian
  - Russian
  - Serbian
  - Slovak
  - Slovenian

=============
Version 1.9.0
=============

- Fix build with certain GLib configurations
- Adaptive preview
  - Disable window controls by default
- AdwSidebar
  - Fix grab_focus()
  - Add a screenshot to :mode docs
- AdwViewSwitcherSidebar
  - Add a screenshot to :mode docs
- Translation updates
  - British English
  - Danish
  - Polish
  - Portuguese

==============
Version 1.9.rc
==============

- Replace null strings with "" in non-nullable string setters
- Update internal icons
  - Bundle all used icons not in GTK
  - Rename avatar-default-symbolic to avoid name clashes
- AdwAboutDialog
  - Fix a broken doc link
- AdwAlertDialog
  - Fix prefer-wide-layout behavior and docs
- AdwBreakpointBin
  - Queue resize when changing breakpoint on startup
- AdwSidebar
  - Focus the selected row on focus instead of first row
- Demo
  - Bundle all used icons not in GTK or libadwaita
- Docs
  - Mention overlay sidebars on the adaptive layouts page
  - Bundle all used icons not in GTK or libadwaita
  - Disable icon theme for screenshots
- Stylesheet
  - Explicitly set icon palette
- Translation updates
  - Basque
  - Bulgarian
  - Catalan
  - Chinese (China)
  - Czech
  - Finnish
  - French
  - Galician
  - Greek
  - Hungarian
  - Italian
  - Japanese
  - Korean
  - Lithuanian
  - Spanish
  - Swedish

================
Version 1.9.beta
================

- Print deprecations with GTK_DEBUG=builder
- AdwAboutDialog
  - Allow creating dialogs from appstream data using properties
- AdwBreakpointBin
  - Fix breakpoints being added in the opposite order
- AdwDialog
  - Fix initial focus in bottom sheet mode
- AdwSidebar
  - Fix a critical with empty sections in page mode
- AdwWrapBox
  - Fix ADW_JUSTIFY_SPREAD
- Demo
  - Make desktop file visible for normal installs
- Translation updates
  - Brazilian Portuguese
  - Georgian
  - Hebrew
  - Indonesian
  - Kazakh
  - Occitan
  - Romanian
  - Uighur
  - Ukrainian

=================
Version 1.9.alpha
=================

- Add AdwNoneAnimationTarget
- Add AdwSidebar
- Add AdwViewSwitcherSidebar
- Consistently do null checks for non-nullable strings
- Adaptive preview
  - Fix a leak when taking screenshots
  - Tint the device bezel to match the other styles
- AdwAboutDialog/Window
  - Add a context menu to link rows
  - Fix an accessibility warning
- AdwActionRow
  - Fix subtitle comparison
- AdwAlert/MessageDialog
  - Fix extra padding with hidden extra child
  - Port to GPtrArray
- AdwApplication
  - Deprecate style-dark.css, style-hc.css and style-hc-dark.css
- AdwWindow/AdwApplicationWindow
  - Add :item-type and :n-items to :dialogs
- AdwBottomSheet
  - Use crossfade animations when possible for reduced motion
- AdwBreakpointBin
  - Port to GPtrArray
- AdwComboRow
  - Improve accessibility
  - Update selection when the expression changes
- AdwDialog
  - Use crossfade animations when possible for reduced motion
- AdwEntryRow
  - Fix title ellipsizing too late
  - Activate the row action when pressing enter
- AdwEnumListModel
  - Add :item-type and :n-items
- AdwHeaderBar
  - Fix title buttons on macOS
  - Report back button context menu to screen reader
- AdwInlineViewSwitcher
  - Limit badges to 999+ to match AdwViewSwitcher
  - Make badges accessible
- AdwMultiLayoutView
  - Port to GPtrArray
- AdwNavigationView
  - Use crossfade animations when possible for reduced motion
  - Fix a build warning on some platforms
  - Fix a crash
  - Make :navigation-stack more robust
  - Add :item-type and :n-items :navigation-stack
- AdwPreferencesDialog
  - Allow to go from the first search result to header bar by pressing up
  - Implement search activation
- AdwPreferencesGroup
  - Fix title and description getters
  - Fix accessible label
- AdwPreferencesPage
  - Fix description getter
  - Warn when trying to add incompatible children
  - Fix a typo in the add_child() critical
- AdwShortcutLabel
  - Make accessible
  - Flip arrows for RTL
  - Add focused styles
- AdwShortcutsDialog
  - Allow to go from the first search result to header bar by pressing up
  - Implement search activation
  - Fix removing sections when the model changes
  - Fix an accessibility warning
- AdwShortcutsSection
  - Add :item-type and :n-items
- AdwStatusPage
  - Implement focus() and grab_focus()
- AdwTabBar/AdwTabOverview
  - Improve drag-n-drop docs
  - Fix ::extra-drag-drop annotations
  - Fix context menu alignment on RTL
  - Report context menu to screen reader
- AdwTabOverview
  - Use crossfade animation for reduced motion
  - Implement search activation
- AdwTabView
  - Implement GtkSectionModel for :pages
  - Add :item-type and :n-items to :pages
- AdwToggleGroup
  - Add a missing tooltip test
  - Add AdwToggle:description
  - Add :item-type and :n-items to :toggles
- AdwViewStack
  - Add section API to AdwViewStackPage, expose sections via :pages
  - Add :item-type and :n-items to :pages
  - Fix accessible labels with underlines
  - Port to GPtrArray
- AdwViewSwitcher
  - Make badges accessible
- Build
  - Fix gen-public-types.py encoding
  - Depend on GTK 4.21.1 and GLib 2.84.0
- Demo
  - Port to AdwSidebar, reorganize the sidebar and add icons
  - Drop the color scheme toggle
  - Add page search
  - Improve the view switcher demo
  - Increase default window size
  - Update metainfo
- Docs
  - Replace deprecated GApplication flag
  - Mention sidebars on the adaptive layouts page
  - Consistently link enum values and constants
  - Fix shortcuts screenshots in widget gallery in dark mode
  - Fix banner-suggested screenshot
  - Improve wrap box screenshots
- Stylesheet
  - Support prefers-reduced-motion media query
  - Merge regular and high contrast styles via media queries
- Translation updates
  - Dutch
  - Greek
  - Japanese
  - Kabyle
  - Norwegian Nynorsk
  - Occitan
  - Portuguese
  - Russian
  - Serbian
  - Serbian (Latin)
  - Slovenian
  - Turkish
  - Uighur
  - Uzbek (Latin)

=============
Version 1.8.0
=============

- AdwSpinner
  - Switch to progressbar accessible role
- AdwSwipeTracker
  - Fix memory leak
- Demo
  - Fix 2 memory leaks
- Docs
  - Typo fixes
- Translation updates
  - Basque
  - British English
  - Catalan
  - Chinese (China)
  - Czech
  - Danish
  - Spanish
  - Esperanto
  - Finnish
  - Galician
  - Georgian
  - Hungarian
  - Korean
  - Lithuanian
  - Swedish
  - Turkish
  - Ukrainian

==============
Version 1.8.rc
==============

- Add copy-func and free-func annotations to boxed types
- AdwAlertDialog/AdwMessageDialog:
  - Clarify behavior around :default-response
- AdwApplication
  - Enable support for CSS media queries in the autoloaded styles
- AdwShortcutLabel
  - Fix RTL layout
- AdwShortcutsDialog
  - Fix 2 memory leaks
- AdwToastOverlay
  - Fix disappear animation not playing on dismiss_all()
  - Make the action button in toasts insensitive after a click
- AdwWrapLayout
  - Fx allocation of a single child in RTL languages or with align > 0
- Build
  - Require GTK 4.19.4
- Docs
  - Fix AdwShortcutLabel and AdwShortcutsDialog screenshots in dark
  - Fix close button style on screenshots
- Stylesheet
  - Update GtkShortcutLabel style to match AdwShortcutLabel
  - Switch to media queries instead of separate CSS variants
- Translation updates
  - Brazilian Portuguese
  - Galician
  - Interlingua
  - Japanese
  - Persian
  - Polish
  - Russian

================
Version 1.8.beta
================

- AdwAlertDialog/AdwMessageDialog
  - Emit ::response when cancelled after calling choose()
- AdwDialog
  - Fix widget activation in window-backed dialogs
  - Fix set_focus() in window-backed dialogs
- AdwLayoutSlot
  - Error out if ID is not set
- AdwNavigationView
 - Defer swipe start to ::begin-swipe
- AdwShortcutLabel
  - Differentiate keypad keys better (same as in GtkShortcutLabel)
- AdwShortcutsDialog
  - Show navigation pills for large dialogs
  - Set a title
  - Focus search bar with Ctrl+F
  - Fix action-name fetching when presented as a window
  - Fix search row activation
  - Fix markup handling
- AdwTabBar
  - Fix focusing start/end action widgets
- AdwTabOverview
  - Make button hitboxes larger
- AdwWrapBox
  - Add remove_all()
- AdwWrapLayout
  - Fix a memory leak
- Build
  - Evaluate dependencies early
- Demo
  - Switch to AdwShortcutLabel
- Stylesheet
  - Add .document style class using the document font
  - Increase line height for .body and .caption
  - Add hover/active styles to GtkFlowBox children
  - Stop shipping symbolic PNG assets
  - Fix .devel striping with new GTK
  - Adapt window controls styles to GTK styles
- Various fixes
- Translation updates
  - Belarusian
  - Hebrew
  - Romanian
  - Slovenian

=================
Version 1.8.alpha
=================

- Add AdwShortcutsDialog
- Add AdwShortcutLabel
- Fix a crash with empty window layouts
- Avoid needlessly resassigning CSS classes for dynamic shadows
- AdwAboutDialog/AdwAboutWindow
  - Fix a leak
  - Fix mnemonics
  - Clarify :translator-credits docs
- AdwAlertDialog/AdwMessageDialog
  - Fix a warning with long headings
- AdwApplication
  - Automatically set up app.shortcuts action if shortcuts-dialog.ui is present
- AdwAvatar
  - Fix custom image size with GTK 4.19.2
- AdwBreakpointBin
  - Preserve focus when switching breakpoints
- AdwCarousel
  - Support keyboard navigation
  - Fix a critical when disposing it after scrolling with mouse wheel
- AdwExpanderRow
  - Fix grab_focus() behavior
- AdwHeaderBar
  - Add support for native window controls in macOS
- AdwNavigationView
  - fix :visible-page-tag notifications
- AdwPreferencesGroup
  - Add bind_model()
  - Add get_row()
  - Allow rows that aren't AdwPreferencesRow
- AdwPreferencesPage
  - Add insert()
  - Add get_group()
- AdwStyleManager
  - Fix font name docs
  - Fix loading font names when debug variables are set
  - Move yellow/green boundary for accent color
  - Support high contrast on macOS
- AdwTabOverview
  - Update window radius
- AdwToastOverlay
  - Fix a critical when showing a toast while hiding it
  - Fix accessible role in documentation
- Adaptive preview
  - Add context to shell and device preset translatable strings
  - Change screenshot tooltip
- Build
  - Don't install internal static library
  - Fix build with older gobject-introspection versions
- Demo
  - Add a shortcut for opening preferences
- Docs
  - Fix window radius value
  - Fix missing AdwCarouselIndicatorLines image
- Inspector
  - Disable markup on window rows
- Stylesheet
  - Adjust GtkWindowControls styles for GTK 4.18.4 changes
  - Optimize window and dialog shadows
  - Fix disabled styles for various .view widgets
  - Fix list DND styles
  - Fix .property for expander rows
- Tests
  - Fix a leak
- Translation updates
  - Belarusian
  - Brazilian Portuguese
  - British English
  - Catalan
  - Friulian
  - German
  - Hebrew
  - Hungarian
  - Indonesian
  - Japanese
  - Latvian
  - Portuguese
  - Romanian
  - Russian
  - Slovenian
  - Ukrainian

=============
Version 1.7.0
=============

- Build
  - Specify --doc-format for GIR data
- AdwDialog
  - Fix :current-breakpoint notifications
- AdwPreferencesDialog/Window
  - Exclude hidden pages from search too
  - Fix the search filter expression
- Translation updates
  - Belarusian
  - Catalan
  - Danish
  - Filipino
  - French
  - Hungarian
  - Nepali
  - Norwegian Bokmål
  - Spanish
  - Swedish

==============
Version 1.7.rc
==============

- Fix build failures on win32
- Bump minimum GTK and GLib versions
- Adaptive preview
  - Fix screenshotting GtkGraphicsOffload
  - Add a missing translators comment
- AdwAboutDialog/Window
  - Use system monospace font for `<code>` in release notes
- AdwDialog
  - Fix parent window shortcuts propagating into dialogs
- AdwPreferencesDialog
  - Hide pages with visible=false
- AdwStyleManager
  - Document how to handle font names
- Stylesheet
  - Fix popovers in non-composited environments
  - Fix GtkPaned drag area
- Translation updates
  - Basque
  - Brazilian Portuguese
  - Bulgarian
  - Catalan
  - Chinese (China)
  - Czech
  - Finnish
  - Galician
  - Georgian
  - Hebrew
  - Indonesian
  - Korean
  - Lithuanian
  - Norwegian Bokmål
  - Occitan
  - Persian
  - Polish
  - Portuguese
  - Turkish
  - Ukrainian

================
Version 1.7.beta
================

- AdwApplicationWindow, AdwWindow
  - Add a public property for toggling adaptive preview
  - Open adaptive preview with Ctrl+Shift+M
- AdwBreakpoint
  - Fix to_string() with locales using comma as decimal separator
- AdwComboRow
  - Fix very short strings not being displayed
- AdwDialog
  - Fix ::closed emission with window-backed dialogs
  - Fix a focus-related crash
- AdwOverlaySplitView, AdwFlap
  - Remove an unreachable check
- AdwPreferencesDialog
  - Document navigation.pop action
- AdwTabBox, AdwTabGrid
  - Fix scrolling to newly appearing tabs
  - Fix a copy-paste error
- AdwToast
  - Use a lighter opaque style
- Adaptive Preview
  - Add an outline around the device
  - Round bezel sizes
  - Fix bezels with locales using comma as decimal separator
  - Prevent secondary sidebar style leak into the previewed app
- Demo
  - Allow opening adaptive preview from menu
  - Inherit page background color when duplicating tabs
- Docs
  - Switch to Adwaita Sans/Mono 11pt for doc screenshots
- Inspector
  - Provide a list of windows instead of a single button for adaptive preview
- Stylesheet
  - Add --document-font-family/size and --monospace-font-family/size
  - Use --monospace-font-family/size for .monospace
  - Fix disabled style for raised/suggested/destructive menubuttons in toolbars
  - Drop GtkSourceView support for textview.inline as it didn't work anyway
- Translation updates
  - Italian
  - Russian
  - Slovenian
  - Turkish

=================
Version 1.7.alpha
=================

- Add AdwToggleGroup and AdwInlineViewSwitcher
- Add AdwWrapBox and AdwWrapLayout
- Add adaptive preview in inspector
- Use EASE easing for timed animations instead of EASE_OUT_CUBIC
- Don't warn when setting child in bin-like widgets to itself
- Fix meson syntax in readme
- Add doc guidelines to HACKING
- Build
  - Drop pre-built docs and styles
  - Rename -Dgtk_doc to -Ddocumentation, deprecate the old option
- AdwAboutDialog
  - Add Other Apps section
  - Fix natural width
- AdwAboutWindow
  - Fix natural width
- AdwActionRow
  - Set accessible role to presentation for the icon
- AdwAlertDialog
  - Fix a crash when setting content-width/height before present()
- AdwAvatar
  - Set accessible role and label
- AdwBanner
  - Start-align the title earlier
  - Tone down visuals
  - Add :style to allow to make button suggested
- AdwBottomSheet
  - Add :reveal-bottom-bar
  - Fix natural height
  - Fix criticals in dispose in some cases
- AdwBreakpointBin
  - Fix natural size
- AdwButtonRow
  - Set accessible role to presentation for icons
- AdwClamp
  - Fix get/set_unit() version
- AdwClampLayout
  - Fix layout with multiple children
  - Fix height-for-width measuring
- AdwComboRow
  - Fix a property noficiation
- AdwDialog
  - Fix accessible role critical when using window-backed dialogs
  - Handle close() before and right after present()
  - Don't crash when chaining up in vfuncs
- AdwEasing
  - Add EASE, EASE_IN, EASE_OUT and EASE_IN_OUT
- AdwExpanderRow
  - Make suffix spacing match action rows and entry rows
- AdwHeaderBar
  - Ignore split views outside sheets
- AdwLengthUnit
  - Fix pt and sp unit values when gtk-xft-dpi = -1
- AdwMessageDialog
  - Fix a typo in adw_message_dialog_response() deprecation message
- AdwNavigationSplitView
  - Support :sidebar-position
  - Stop reporting baseline
- AdwNavigationView
  - Addw :h/vhomogeneous
  - Add :visible-page-tag
  - Don't crash when chaining up in vfuncs
- AdwOverlaySplitView
  - Don't allow focusing hidden sidebar
- AdwPreferencesPage
  - Add :banner
- AdwStyleManager
  - Fix initial color scheme value on Windows
- AdwTabBar
  - Only handle middle clicks started and ended on the same tab
  - Don't select tabs when clicking close or indicator buttons
- AdwTabOverview
  - Darken background color
  - Only handle middle clicks started and ended on the same thumbnail
- AdwToastOverlay
  - Add dismiss_all()
  - Add tooltip to the dismiss button
- AdwToolbarView
  - Fix height-for-width measurements
- AdwViewSwitcher
  - Have a minimum height outside header bars
  - Always focus active toggle when entering focus
- AdwViewStack
  - Add an optional crossfade transition
  - Rework adjusting child allocation
- AdwWindow, AdwApplicationWindow
  - Fix allocating children
- Docs
  - Indicate and explain out of gamut colors on CSS variables page
  - Update deprecated meson syntax
  - Link clamp/layout/scrollable docs between each other
  - Force GTK_FONT_RENDERING_MANUAL for screenshots
  - Typo fixes
- Stylesheet
  - Increase border radii of various widgets
  - Tint gray colors to make them colder
  - Add hover and active transition to switch, check, radio and slider
  - Increase scrollbar padding to match the new window radius
  - Add .dimmed and deprecate .dim-label
  - Make preferences group .labels style more specific
- Translation updates
  - Belarusian
  - Catalan
  - Chinese (China)
  - Dutch
  - Hebrew
  - Russian
  - Serbian
  - Slovenian
  - Thai

=============
Version 1.6.0
=============

- AdwAboutDialog/Window
  - Support non-deprecated GPL-2/3.0-only SPDX IDs
- AdwBottomSheet
  - Fix a crash in tests on some platforms
- AdwHeaderBar
  - Fix back button menu picking up phantom pages in some situations
- AdwMessageDialog
  - Fix title size
- AdwTabOverview
  - Focus search entry with Ctrl+F
- Docs
  - Screenshot tool fixes
  - Update screenshots
- Tests
  - Add AdwBackButton tests
- Stylesheet
  - Disable .devel header bars for bottom sheets, like for dialogs
  - Fix header bar in GTK dialogs
  - Fix fine-tune scale styles
  - Fix scroll undershoot in dropdowns and emoji picker
- Translation updates
  - British English
  - Bulgarian
  - Czech
  - Danish
  - French
  - Galician
  - Indonesian
  - Korean
  - Lithuanian
  - Occitan
  - Polish
  - Portuguese
  - Spanish
  - Swedish
  - Turkish

==============
Version 1.6.rc
==============

- AdwMultiLayoutView
  - Hide slots when their child is invisible
- AdwPreferencesDialog/Window
  - Support macOS keybindings
- AdwSpinner
  - Work around a memory corruption issue
- AdwTabBar/Overview
  - Fix 2 drag-n-drop crashes
- AdwTabView
  - Support macOS keybindings
- Demo
  - List ADW_DEBUG_ACCENT_COLOR in about dialog debug info
  - Support macOS keybindings
- Docs
  - List available style classes for each widget
  - Typo fixes
- Stylesheet
  - Add .ssd-frame style class for mutter titlebars
  - Make radio button focus ring round
  - Use relative font sizes
  - Support .property.monospace for AdwExpanderRow too
  - Fix GtkScale value overlapping with slider
  - Fix --window-radius 0px unit
- Translation updates
  - Basque
  - Belarusian
  - Brazilian Portuguese
  - Catalan
  - Chinese (China)
  - Finnish
  - Georgian
  - German
  - Hebrew
  - Hindi
  - Hungarian
  - Norwegian Bokmål
  - Persian
  - Romanian
  - Russian
  - Slovenian
  - Ukrainian

================
Version 1.6.beta
================

- Introduce AdwSpinner and AdwSpinnerPaintable
- AdwAlertDialog
  - Accessibility fixes
  - Fix a sizing bug with :prefer-wide-layout
- AdwComboRow
  - Don't change sensitivity on model change
- AdwDialog
  - Fix a memory leak
  - Speed up switching presentation
- AdwEntryRow
  - Fix row activation
- AdwPreferencesPage
  - Add an a11y relation to the description
- AdwSpinRow
  - Set accessible role to presentation
- AdwStatusPage
  - Adjust style when using AdwSpinnerPaintable
- AdwStyleManager
  - Speed up reloading CSS
  - Partially support system accent color on macOS
- AdwSwitchRow
  - Set accessible role to switch
- AdwTabBar/Overview
  - Use AdwSpinnerPaintable for loading state
  - Fix a use after free when closing tabs
- AdwToastOverlay
  - Announce appearing toasts for screen reader
- Demo
  - Make strings HIG-compliant
  - Add ctrl+q shortcut, make ctrl+w close the window instead
- Docs
  - Don't annotate user_data params with closure
  - Fix typos in migrating to breakpoints page
- Stylesheet
  - Fix a specificity issue with scrolled windows in popovers
  - Fix file chooser styles
- Translation updates
  - Chinese (Taiwan)
  - Georgian
  - Hebrew
  - Hindi
  - Russian
  - Slovenian
  - Turkish

=================
Version 1.6.alpha
=================

- Introduce AdwBottomSheet
- Introduce AdwButtonRow
- Introduce AdwMultiLayoutView
- Deprecate AdwAboutWindow, AdwMessageDialog and AdwPreferencesWindow
- Various annotation fixes
- Build
  - Depend on GTK 4.15.2
- AdwAboutDialog/Window
  - Fix an outdated appstream reference in docs
- AdwActionRow
  - Mention .property in docs
- AdwAlertDialog
  - Refresh style, drop custom suggested and destructive button styles
  - Try harder to fit into landscape mobile screens
  - Fix initial focus
  - Fix the accessible role
  - Fix setting default widget when removing a response
  - Fix unmatched va_start()
- AdwApplicationWindow
  - Default minimum size to 360×200
- AdwAvatar
  - Fix portrait avatars on hidpi
- AdwBin
  - Fix a potential focus issue
- AdwBreakpointBin
  - Fix a leak
- AdwBreakpointCondition
  - Fix leaks when parsing
- AdwCarousel
  - Fix a build warning
- AdwComboRow
  - Add :header-factory
  - Add :search-match-mode
  - Fix initial checkmark
  - Handle model changes properly
- AdwDialog
  - Fix toggling presentation mode
  - Fix close button ignoring :can-close
  - Fix ::close-attempt not emitting in some cases
  - Fix swipe area for bottom sheets
  - Make shortcuts work when there are no focusable widgets
  - Correctly restore focus when opening a dialog from a menu
  - Fix GtkWindow:deletable=false hiding close buttons in dialogs
  - Fix accessibility warnings
  - Leak fixes
- AdwEntryRow
  - Add :max-length
  - Don't change size on focus
- AdwExpanderRow
  - Fix get_title_lines() and get_subtitle_lines() return types
  - Fix remove() docs
- AdwHeaderBar
  - Don't show title when used inside AdwBottomSheet with a drag handle
  - Fix split view links in docs
  - Fix initial focus for the back button
- AdwMessageDialog
  - Refresh style, drop custom suggested and destructive button styles
  - Try harder to fit into landscape mobile screens
  - Fix unmatched va_start()
- AdwOverlaySplitView
  - Unmap sidebar when it's hidden
- AdwPreferencesGroup
  - Add :separate-rows
  - Fix :header-group annotations and notifications
  - Fix a potential focus issue
- AdwPreferencesPage
  - Add :description-centered
  - Fix a potential focus issue
- AdwSpinRow
  - Fix ::input handling
- AdwStyleManager
  - Support system accent color on Linux and Windows
- AdwSwipeTracker
  - Various fixes for swipe handling
- AdwTabBar
  - Remove spinner unmap hack as GTK handles it now
- AdwTabButton
  - Fix needs-attention badge on RTL
- AdwTabOverview
  - Remove spinner unmap hack as GTK handles it now
- AdwTabView
  - Fix a leak when closing the last page
  - Accessibility fixes
  - Document :close-page return value
- AdwToast
  - Fix accessible role
- AdwViewStack
  - Accessibility fixes
  - Fix a typo in docs
- AdwWindow
  - Default minimum size to 360×200
- Docs
  - Add a AdwMultiLayout example to the adaptive layouts page
  - Replace the named colors page with css variables
  - Use modern CSS rgb() syntax instead of the legacy one
  - Stop mentioning _finish() functions, gi-docgen does it now
  - Stop using non-standard property getter/setter annotations
  - An attempt to make screenshot tool less flaky
  - Update screenshots
  - Don't list ADW_ENCODE_VERSION and ADW_UNAVAILABLE
- Demo
  - Rename Dialogs page to Alert Dialog
  - Use :separate-rows for the entry rows group on the lists page
  - Remove colored buttons example
  - Use neutral accent color for tab pages
  - Refresh tab page colors
  - Fix writing style for subtitles
  - Fix the banner page button switch
- Stylesheet
  - Use standard CSS functions instead of GTK-specific ones
  - Introduce a CSS variable for each named color: @accent_color -> --accent-color etc
    - @borders is replaced with --border-color, not --borders
    - Each variable by default points to its named color to ensure
      backwards compatibility
  - Introduce --standalone-color-oklab
  - Generate standalone colors from background colors by default
  - Introduce --accent-blue, --accent-teal, --accent-green,
    --accent-yellow, --accent-orange, --accent-red, --accent-pink,
    --accent-purple and --accent-slate matching the system accents
  - Introduce --border-opacity, --dim-opacity, --disabled-opacity
  - Introduce --window-radius
  - Introduce .boxed-list-separate
  - Refresh style for GtkMessageDialog too
  - Change .destructive-action style to make it distinct from
    .suggested-action
  - Support .navigation-sidebar for GtkGridView and GtkFlowBox
  - Support .monospace for property rows
  - Support .inline for text views
  - Use white accent color for .osd instead of overriding it for every
    widget inside
  - Use matching accent colors for .error, .warning and .success
  - Use red focus rings for destructive buttons
  - Make file chooser selection grey
  - Make sure --success-color, --warning-color and --error-color are
    legible in .osd
  - Add a hack to make GtkTreeView and GtkIconView redraw when accent
    color changes
  - Deprecate button.opaque
  - Fix entry progress bars
- Various cleanups and refactoring
- Translation updates
  - Brazilian Portuguese
  - Catalan
  - Dutch
  - Hungarian
  - Kabyle
  - Portuguese
  - Punjabi
  - Slovenian

=============
Version 1.5.0
=============

- AdwDialog
  - Fix widget selection in inspector when presented as a bottom sheet
  - Fix clicks on the dimming still working with can-closed=true
- Demo
  - Fix <developer> in metainfo
- Translation updates
  - Belarusian
  - Brazilian Portuguese
  - Danish
  - French
  - Galician
  - Hungarian
  - Italian
  - Kabyle
  - Kazakh
  - Latvian
  - Norwegian Bokmål
  - Occitan
  - Slovenian
  - Swedish
  - Turkish

==============
Version 1.5.rc
==============


- Depend on GTK 4.13.4
- Fix layout with GtkSettings:gtk-xft-dpi == 0
- AdwAboutDialog
  - Support zero-clause bsd license
  - Fix example
- AdwAboutWindow
  - Support zero-clause bsd license
- AdwDialog
  - Allow bottom sheets to shrink beyond 360px width
  - Fix a crash when swiping on the dimming
  - Adjust dimming intensity
- AdwNavigationView
  - Fix signal mentions in push() docs
  - Disable missing title warning when containing a split view
- AdwStatusPage
  - Fix property notification in set_child()
- AdwSwipeTracker
  - Use a smaller threshold for window handles
- AdwToolbarView
  - Fix a typo in docs
- Demo
  - Fix window.devel demo
- Stylesheet
  - Adjust shade colors in dark
  - Make .devel not propagate to dialogs


- Translation updates
  - Basque
  - Belarusian
  - Catalan
  - Chinese (China)
  - Chinese (Taiwan)
  - Czech
  - Dutch
  - Finnish
  - French
  - Georgian
  - Hebrew
  - Hungarian
  - Indonesian
  - Kazakh
  - Korean
  - Latvian
  - Lithuanian
  - Norwegian Bokmål
  - Occitan
  - Persian
  - Polish
  - Russian
  - Spanish
  - Swedish
  - Ukrainian

================
Version 1.5.beta
================

- Fix build with libappstream 1.0
- Fix deprecation warning with libappstream 0.16.4
- Fix a build error with MSVC
- Add AdwDialog, AdwAlertDialog, AdwPreferencesDialog and AdwAboutDialog
- AdwAboutWindow
  - Don't pre-select the first section on the Legal page
- AdwApplicationWindow
  - Add :dialogs and :visible-dialog
- AdwBreakpointBin
  - Add remove_breakpoint()
  - Fix focus during transitions
  - Fix swapping the child during transitions
- AdwButtonContent
  - Horizontally center children
- AdwCarousel
  - Fix carousel scroll behavior with page reordering
- AdwComboRow
  - Don't change selection on filtering
  - Fix focus when opening the popover
  - Set the correct state on the selected checkmark
- AdwEntryRow
  - Add :text-length
- AdwHeaderBar
  - Integrate with AdwDialog
  - Fix visibility after changing :show-back-button
- AdwMessageDialog
  - Add remove_response()
  - Fix choose() annotations
- AdwNavigationView
  - Fix a warning message
- AdwPreferencesWindow
  - Fix :visible-page and :visible-page-name docs
- AdwStyleManager
  - Support contrast setting in the settings portal
- AdwSwipeTracker
  - Add :allow-window-handle
- AdwTabOverview
  - Allow child focus on out animations
- AdwTabView
  - Keep view alive during ::page-detached
  - Fix crashes when using :pages
- AdwViewSwitcherBar
  - Fix a warning when empty
- AdwWindow
  - Add :dialogs and :visible-dialog
- Demo
  - Port everything to AdwDialog
- Docs
  - Add a migration guide for adaptive dialogs
  - Add a favicon
  - Use the new asides
  - Fix erroneous <child> use in breakpoints migration guide
- Stylesheet
  - Increase GtkSwitch padding
  - Align property row title and other row subtitle sizes
  - Align expander row and combo row arrows
  - Stop hiding switch shapes
- Translation updates
  - Czech
  - French
  - Galician
  - German
  - Greek
  - Hebrew
  - Hungarian
  - Norwegian Bokmål
  - Persian
  - Russian
  - Serbian
  - Slovenian
  - Turkish
  - Ukrainian

=============
Version 1.4.0
=============

- AdwBreakpointBin
  - Clarify minimum size warnings
- AdwExpanderRow
  - Improve accessible roles
- AdwPreferencesGroup
  - Set described-by on the listbox
- Docs
  - Fix a property name in breakpoint migration guide
- Stylesheet
  - Fix toolbar view styles within sidebars
  - Fix .navigation-sidebar:disabled style when used with GtkListView
- Build system fixes
- Translation updates
  - Catalan
  - Danish
  - Dutch
  - Esperanto
  - Italian
  - Occitan
  - Spanish
  - Swedish

==============
Version 1.4.rc
==============

- AdwAboutWindow
  - Accessibility fixes
  - Add a minimum size
- AdwExpanderRow
  - Accessibility fixes
- AdwHeaderBar
  - Fix missing title fallback for back button tooltip and history menu
  - Set "Back" as an accessible label for the back button
  - Clarify docs around :show-back-button
- AdwNavigationView
  - Warn when a navigation page is missing a title
- AdwStyleManager
  - Fix over-releasing a string on macOS
- AdwTabButton
  - Set the correct gettext domain
- AdwTabOverview
  - Set the correct gettext domain
  - Fix reordered thumbnail being drawn below others
- AdwToastOverlay
  - Set the correct gettext domain
- Build
  - Update pkg-config description field
- Demo
  - Update screenshot in appdata
  - Correctly dismiss the last toast in the dialogs demo
  - Add missing navigation page titles
- Stylesheet
  - Fix filename entry margins in file chooser
  - Fix menubutton.card corners
  - Fix button.card focus ring transition
  - Avoid background overdraw in GtkColumnView
- Translation updates
  - Basque
  - Chinese (China)
  - Czech
  - Finnish
  - Galician
  - German
  - Indonesian
  - Kazakh
  - Korean
  - Lithuanian
  - Persian
  - Polish
  - Romanian
  - Spanish
  - Turkish

================
Version 1.4.beta
================

- Build
  - Depend on GLib 2.76.0
  - Fix build on Windows
  - Add a GTK subproject
- AdwBreakpointBin
  - Mention the correct widget in exceeded size warnings
  - Fix width-for-height and height-for-width sizing
- AdwComboRow
  - Recreate default factory on expression changes
- AdwEnumListModel
  - Better invalid value for find_position()
- AdwHeaderBar
  - Fix spacing when there are no start/end children
  - Fix a memory leak
  - Fix GtkCenterBox:shrink-center-last usage
- AdwLeaflet
  - Fix back/forward mouse button handling
- AdwMessageDialog
  - Fix shadow style
- AdwNavigationView
  - Pop the current page when pressing Escape
  - Make AdwNavigationPage:child-view private
  - Fix back/forward mouse button handling
  - Clarify docs
- AdwPreferencesWindow
  - Fix a memory leak
- AdwTabOverview
  - Cull invisible thumbnails
  - Fix a crash when opening overview before it's mpped
- AdwTabView
  - Fix thumbnail regressions from 1.4.alpha
- AdwToastOverlay
  - Fix width-for-height and height-for-width sizing
- AdwToolbarView
  - Add ADW_TOOLBAR_RAISED_BORDER style
  - Fix width-for-height and height-for-width sizing
  - Clarify docs
- AdwViewStack
  - Add AdwViewStackPages:selected-page
- AdwViewSwitcherBar
  - Fix disabling reveal animation when using breakpoints
  - Make sure the height doesn't change with large text
- Demo
  - Fix view switcher demo minimum height
  - Set input hints and purpose in the entries
- Docs
  - Assorted screenshot tool fixes
  - Fix a deprecation warning in the screenshot tool
- Stylesheet
  - Make button.osd focus rings blue for better visibility
  - Fix .card buttons within .osd
  - Fix button transitions in high contrast mode
  - Fix single-item menu height
  - Modernize GtkFileDialog, GtkAppChooserDialog and GtkAssistant styles
- Translation updates
  - Belarusian
  - Friulian
  - Georgian
  - Hebrew
  - Hungarian
  - Persian
  - Portuguese
  - Russian
  - Slovenian
  - Ukrainian

=================
Version 1.4.alpha
=================

- Build
  - Depend on GTK 4.11.3
  - Depend on libappstream
  - Add Vala metadata file
  - Fix gnome.compile_resources() on MSBuild
  - Fix doc include path
  - Make metainfo build reproducible
- Add AdwBreakpoint and AdwBreakpointBin
- Add AdwNavigationView
- Add AdwNavigationSplitView
- Add AdwOverlaySplitView
- Add AdwSpinRow
- Add AdwSwitchRow
- Add AdwToolbarView
- Deprecate AdwFlap, AdwLeaflet, AdwSqueezer and AdwViewSwitcherTitle
- AdwAboutWindow
  - Add new_from_appdata()
  - Add a missing Since annotation
  - Fix accessible role on the application icon
- AdwActionRow
  - Fix an inaccuracy in docs
- AdwAvatar
  - Fix a memory leak
- AdwBanner
  - Allow to ellipsize the button
  - Clarify title placement in docs
  - Add a backdrop style
- AdwButtonContent
  - Add :can-shrink
- AdwCarousel
  - Fix allocation
  - Fix scrolling to a recently inserted item
- AdwClamp/AdwClampLayout/AdwClampScrollable
  - Add :unit, default to the sp unit instead of px
  - Deprecate clamp child  style classes
- AdwComboRow
  - Add :enable-search
  - Fix accessible role on the dropdown arrow
- AdwExpanderRow
  - Deprecate add_action(), replace it with add_suffix()
- AdwFlap
  - Add a missing setter annotation for :fold-policy
  - Correctly measure separator
  - Avoid notify emissions in dispose()
- AdwEntryRow
  - Fix baseline with new GTK
  - Fix accessibility
- AdwHeaderBar
  - Add :show-title property
  - Show page title instead of window title inside AdwNavigationPage
  - Show back buttons inside AdwNavigationView, add :show-back-button
  - Hide redundant window buttons inside AdwNavigationSplitView and
    AdwOverlaySplitView
  - Ellipsize title before start/end children
- AdwMessageDialog
  - Allow to ellipsize the buttons
  - Be more responsive on parent state changes
  - Fix criticals when using choose() with hide-on-close=true
- AdwPasswordEntryRow
  - Say password instead of text in the ui
- AdwPreferencesPage
  - Add :description
- AdwPreferencesWindow
  - Deprecate present_subpage(), close_subpage() and :can-navigate-back,
    replace with push_subpage() and pop_subpage() using AdwNavigationView
  - Move search button to the left
  - Add placeholder to the search entry
  - Fix markup handling when searching
- AdwSplitButton
  - Add :can-shrink
- AdwStatusPage
  - Clarify docs
- AdwStyleManager
  - Stop reading GNOME-specific color-scheme setting via settings portal
  - Only use GSettings with ADW_DISABLE_PORTAL=1
  - Fix get_for_display() annotation
- AdwSwipeTracker
  - Add overshoot properties
  - Fix swipe area handling
- AdwTabBar
  - Add :extra-drag-preferred-action
  - Fix dropping data onto tabs/thumbnails
  - Fix accessibility
  - Fix clipped labels
  - Correctly unparent context menu
- AdwTabOverview
  - Rework thumbnails, reducing the number of glitches with
    WebKitWebView, and gaining antialiasing in process
  - Fix the transition curve
  - Add :extra-drag-preferred-action
  - Add a translator comment for "%u tabs"
  - Fix dropping data onto tabs/thumbnails
  - Fix clipped labels
  - Correctly unparent context menu
- AdwTabView
  - Allow Ctrl+Page Up/Down to wrap around
- AdwToast
  - Add :use-markup
  - Allow to ellipsize toast buttons
- AdwViewSwitcher
  - Ellipsize labels in wide mode
  - Set correct accessible role for icons
- AdwViewSwitcherBar
  - Modernize style
- AdwWindow/AdwApplicationWindow
  - Add API for using breakpoints, matching AdwBreakpointBin
- AdwWindowTitle
  - Fix initial title visibility
- Demo
  - Drop leaflet and flap demos
  - Fix a critical when trying to set a non-image file as avatar
  - Add tooltip to the main menu button
  - Open primary menu with F10
  - Make sure dialogs can be closed with Esc
- Docs
  - Add a breakpoint migration guide
  - Rewrite the adaptive layouts page using the new widgetry
  - Update examples everywhere
  - Fix success/error color values
  - List thumbnail colors on the named colors page
  - Consistently mention since/deprecated since versions for named
    colors and style classes
  - Drop alpha migration guide
  - Adjust heading levels so that document outline consistently works
  - Crop screenshots more precisely
  - Don't show marshal functions in docs
- Tests
  - Add a few manual tests, intended to be ran from Builder
- Stylesheet
  - Make header bars white in light variant
  - Use shadow instead of a border for GtkWindow:titlebar
  - Revert menubar style changes from 1.3
  - Use a shadow for undershoot styles
  - Add .undershoot-top/bottom/start/end style classes
  - Add @popover_shade_color, use for undershoots and transition shadows
    within popovers
  - Move toolbar padding to toolbars instead of buttons/entries/etc.
    Applications may need to adapt if they were relying on the previous
    padding.
  - Add .property style class for list rows
  - Deprecate headerbar.flat
  - Remove non-overlay scrollbar background
  - Remove outline on scrollbar troughs
  - Use flat header bars for GtkShortcutsWindow, GtkAboutDialog,
    GtkColorDialog, GtkPrintUnixDialog and GtkPageSetupUnixDialog
  - Adapt styles for GTK 4.11.x additions
  - Improve selected list/grid item contrast
  - Fix click areas in file chooser rows and grid items
  - Fix file chooser grid dimensions
  - Fix button.card checked state
  - Fix link hover color
- Warn when trying to add a child that already has a parent
- Fix GTK deprecation warnings
- Translation updates
  - Basque
  - Brazilian Portuguese
  - British English
  - Bulgarian
  - Catalan
  - Chinese (Taiwan)
  - Dutch
  - Finnish
  - French
  - Friulian
  - German
  - Hebrew
  - Hungarian
  - Italian
  - Lithuanian
  - Persian
  - Polish
  - Portuguese
  - Russian
  - Slovak
  - Swedish
  - Turkish

==============
Version 1.3.rc
==============

- Build
  - Depend on GTK 4.9.5.
- AdwApplication
  - Disable style loading if Granite is present
- AdwAvatar
  - Improve filtering for custom images
- AdwCarousel
  - Doc updates
- AdwEntryRow
  - Fix :disabled styles
- AdwExpanderRow
  - Expose expanded state for a11y
- AdwPropertyAnimationTarget
  - Remove critical when finalizing the object before the target
- AdwSplitButton
  - Correctly set a11y relations
  - Add a default tooltip to the dropdown
- AdwStyleManager
  - Fix regressions from 1.3.beta
  - Disable built-in styles if Granite is present
- AdwTabOverview
  - Clarify docs
- AdwToastOverlay
  - Fix a use-after-free when quickly creating and dismissing toasts
- Docs
  - Update named color descriptions
  - Update .linked widget list to keep up with GTK 4.9.x
  - Mention AdwHeaderBar along with GtkHeaderBar
- Stylesheet
  - Fix page switcher in GtkShortcutsWindow
  - Fix GtkSearchBar spacing
- Memory leak fixes
- Various cleanups
- Translation updates
  - Basque
  - Belarusian
  - Czech
  - Danish
  - Finnish
  - Galician
  - German
  - Hebrew
  - Hungarian
  - Indonesian
  - Korean
  - Lithuanian
  - Occitan
  - Portuguese
  - Serbian
  - Slovenian
  - Spanish
  - Turkish
  - Ukrainian

================
Version 1.3.beta
================

- AboutWindow
  - Prevent double clicks from opening troubleshooting page
  - Fix a GTK 4.9.x deprecation
- AdwActionRow
  - Add :subtitle-selectable
- AdwAnimation
  - Add :follow-enable-animations-setting
- AdwBanner
  - Sizing fixes
- AdwEntryRow
  - Make accessible
- AdwLeaflet
  - Fix can-unfold=false
- AdwMessageDialog
  - Increase spacing when heading or body are missing
- AdwSpringAnimation
  - Add calculate_value() and calculate_velocity()
  - Fix unsafe float comparisons
  - Fix critical damping velocity
- AdwStyleManager
  - Support color schemes and high contrast on Windows
- AdwSwipeable
  - Fix get_swipe_area() fallback
- AdwTabBar, AdwTabOverview
  - Emit ::extra-drag-value on ::enter
- AdwTabButton
  - Fix needs-attention dot after viewing AdwTabPages in inspector
  - Fix warning when building in Visual Studio
- AdwTabView
  - Make accessible
- AdwToastOverlay
  - Don't focus buttons on click
  - Prevent toast labels from wrapping
- AdwViewStack
  - Make accessible
- Demo
  - Don't follow "enable animations" setting for the demo animation
  - Fix the switch on the avatar page
- Stylesheet
  - Style GtkMenuBar like header bars and similar widgets
  - Add minimum width to menu popovers
  - Fix GtkLevelBar fill colors
  - Fix GtkFileDialog path bar padding
  - Fix GtkAssistant sidebar color
  - Support marked days in GtkCalendar
- Documentation fixes
- Translation updates
  - Basque
  - Catalan
  - Galician
  - Georgian
  - German
  - Greek
  - Indonesian
  - Persian
  - Portuguese
  - Ukrainian

=================
Verison 1.3.alpha
=================

- Introduce AdwBanner
- Introduce AdwTabButton and AdwTabOverview
- Fix or silence GTK 4.9.x deprecations
- Require GTK 4.9.2 and GLib 2.72.0
- Add developer name to metainfo
- AdwActionRow
  - Deprecate icon-name property
  - Fix spacing after removing all prefixes/suffixes
- AdwAvatar
  - Correctly redraw on custom image changes
- AdwEntryRow
  - Add adw_entry_row_grab_focus_without_selecting()
  - Respect use-markup property
  - Fix error/warning/success styles
  - Fix spacing after removing all prefixes/suffixes
- AdwExpanderRow
  - Add title-lines and subtitle-lines properties
  - Deprecate icon-name property
  - Fix spacing after removing all prefixes/suffixes
- AdwFlap
  - Fix natural width with fold-policy=never
- AdwMessageDialog
  - Add adw_message_dialog_choose()
  - Fix focus styles in RTL
  - Refactor adaptive layout
- AdwTabBar
  - Add preload property and extra-drag-value signal
  - Fix focus handling
  - Fix autoscroll for non-local drags
- AdwTabView
  - Update default tab icon
  - Rewrite internals to allow overview thumbnails for inactive pages
- AdwPreferencesPage
  - Add a function to scroll to top
- AdwPreferencesWindow
  - Fix a memory leak
- AdwSplitButton
  - Don't make dropdown insensitive when the button is
- AdwSpringAnimation
  - Correctly mark as final
- AdwToastOverlay
  - Clarify documentation
- AdwViewSwitcherBar
  - Fix typos in examples
- AdwViewSwitcherTitle
  - Fix typos in examples
- Demo
  - Update icons
  - Make tabs demo adaptive using the new widgets
  - Use G_DEFINE_FINAL_TYPE where appropriate
- Doc
  - Rename visual index to widget gallery
  - Stop marking symbols from 1.0 as such to reduce clutter
- Stylesheet
  - Fix GtkSpinButton inside toolbars
  - Update for file chooser changes
  - Use accent color for default list/grid selection
- Tests
  - Introduce manual tests in tests/manual/
- Translation updates
  - Belarusian
  - British English
  - Catalan
  - Croatian
  - Dutch
  - French
  - Friulian
  - German
  - Greek
  - Hebrew
  - Hindi
  - Hungarian
  - Indonesian
  - Occitan
  - Persian
  - Russian
  - Slovak
  - Turkish

=============
Version 1.2.0
=============

- Docs
  - Fix @card_shade_color description
  - Fix a typo in AdwTabView docs
  - Fix AdwMessageDialog example
- Translation updates
  - Bulgarian
  - Croatian
  - Czech
  - German
  - Hungarian
  - Occitan
  - Slovenian

==============
Version 1.2.rc
==============

- Ensure setter documentation is consistent with their properties
- Demo
  - Fix a critical when toggling tab indicators
- AdwCarousel
  - Fix a crash when removing a child while it's animating
- AdwMessageDialog
  - Use maximum width when no parent is set, instead of minimum
- AdwSqueezer
  - Sizing fixes
- AdwTabBar
  - Fix long press handling
  - Fix a crash when clicking empty space while a tab is animating
- AdwTabView
  - Fix set_menu_model() input check
- AdwWindow
  - Clarify docs around child/content properties
- Stylesheet
  - Fix AdwSplitButton disabled state
  - Fix focus transitions
  - Fix GtkColorScale slider
  - Fix AdwViewSwitcher needs-attention dot color
- Translation updates
  - Abkhazian
  - Basque
  - Brazilian Portuguese
  - Catalan
  - Chinese (China)
  - Croatian
  - Danish
  - Dutch
  - Finnish
  - Galician
  - Georgian
  - Indonesian
  - Korean
  - Persian
  - Polish
  - Serbian
  - Spanish
  - Swedish
  - Turkish

================
Version 1.2.beta
================

- Fix deprecations with newer GLib
- Fix strict aliasing warnings
- Fix GLSL shader compile errors on certain systems
- AdwAboutWindow
  - Fix a random crash when closing
  - Rework the flat header bar layout
  - Properly mark as final class
- AdwAvatar
  - Fix draw_to_texture() with rectangular avatars
- AdwEntryRow
  - Add entry-activated signal
  - Add attributes property
  - Add activates-default property
  - Don't select text when clicking the row
- AdwMessageDialog
  - Fix crash when destroying the parent before the dialog
- AdwShadowHelper
  - Fix warnings when drawing vertical shadow
- AdwSplitButton
  - Add dropdown-tooltip property
- AdwSwipeTracker
  - Fix swipe speed on GTK 4.7.x
  - Fix criticals with GTK 4.7.x
- AdwTabBar
  - Remove tab background when there's only one tab
  - Add a tooltip for close buttons
  - Fix squished or clipped text with gtk-hint-font-metrics=0
  - Fix scrolling to a tab with disabled animations
  - Fix assorted tab reordering issues
- AdwTabView
  - Add shortcut management API
  - Add AdwTabPage:indicator-tooltip property
  - Handle shortcuts on CAPTURE phase
  - Shortcut propagation and bell fixes
- AdwToast
  - Add button-clicked signal
- AdwViewStack
  - Add adw_view_stack_add_titled_with_icon()
- Demo
  - Prefer properties over <child> in UI files
  - Don't explicilty add GtkViewport to GtkScrolledWindow
  - Stop using .inline-toolbar
  - Fix build on Windows
- Stylesheet
  - Unify @view_fg_color with other foreground colors
  - Improve contrast of @success_color and @warning_color
  - Fix infobar margins and spacing
  - Partially support .navigation-sidebar with GtkTreeView
  - Move GtkScale focus onto its slider
  - Ensure consistant GtkScale size when using marks
  - Remove unnecessary transitions
- Translation updates
  - Abkhazian
  - Basque
  - Catalan
  - Galician
  - Georgian
  - Hebrew
  - Indonesian
  - Lithuanian
  - Occitan
  - Portuguese
  - Russian
  - Turkish
  - Ukrainian

=================
Version 1.2.alpha
=================

- Introduce AdwAboutWindow
- Introduce AdwEntryRow and AdwPasswordEntryRow
- Introduce AdwMessageDialog
- Introduce AdwPropertyAnimationTarget
- AdwAnimation
  - Add adw_animation_set_target()
- AdwCallbackAnimationTarget
  - Fix callback annotations
- AdwActionRow
  - Set a11y relations for the activatable widget
  - Tweak spacing to match toolbars and AdwEntryRow
- AdwAvatar
  - Fix initials not updating after setting custom-image
- AdwComboRow
  - Add an example to docs
- AdwExpanderRow
  - Change arrow orientation to make it look less similar
    to action rows that open subpages
- AdwLeaflet
  - Fix child sizing with fold-threshold-policy=natural
  - Clip child during transitions, preventing glitchy header bar borders
  - Check direction argument in navigate()
  - Fix a broken link in docs
- AdwPreferencesGroup
  - Fix accessibility labels
  - Annotation fixes
- AdwPreferencesRow
  - Add use-markup property
  - Annotation fixes
- AdwSplitButton
  - Avoid state changes during dispose
- AdwStyleManager
  - Fix high contrast setting name when using a portal
  - Correctly handle removing a GdkDisplay
  - Add environment variables to control styles from Builder
- AdwSwipeTracker
  - Fix a memory leak
- AdwTabBar
  - Ensure indicators are clickable with inverted=true
  - Fix resize deferring with non-expanded tabs
  - Fix scroll animation stopping too early
  - Fix middle click when inside GtkWindowHandle
  - Refresh style
    - Use a button-like style for tabs, ensure visibility in dark variant
    - Add spacing between and around tabs and action widgets
    - Use real widgets for separators instead of borders
    - Replace shade gradients with opacity fading
    - Replace needs-attention glow with a line
    - Add backdrop style matching header bars
    - Use :selected state for selected tab instead of :checked
- AdwToast
  - Add custom-title property
  - Add adw_toast_new_format()
  - Allow dismiss() to be called multiple times
  - Fix the example in docs
- AdwToastOverlay
  - Allow add_toast() to be called multiple times to extend the timeout
  - Make toasts without button narrower
- AdwViewSwitcherTitle
  - Clear pending idle callback on unrealize
- Stylesheet
  - Deprecate the .large-title style class
  - Add @dialog_bg_color and @dialog_fg_color for AdwMessageDialog
  - Add backdrop styles for GtkSearchBar and GtkActionBar
  - Update GtkColorScale style, following GTK
  - Add missing borders in high contrast version
  - Style GtkActionBar like header bars and similar widgets
  - Use shade colors as borders for header bars and similar widgets
  - Use shade colors as boxed list rows borders
  - Remove border from leaflet/flap transition shadow
  - Slightly tone down window outline
  - Dim GtkPlacesSidebar unmount buttons to match icons
  - Ensure active states consistently work with touchscreens
  - Make GtkComboBox and GtkDropDown less likely to stretch vertically
  - Fix GtkDropDown visual glitch when pressed on touchscreen
  - Fix progressbar.osd overriding text color
  - Fix action row title and subtitle inside GtkHeaderBar
- Docs
  - Mention AdwComboRow:selected type in migration guide
  - Update *_shade color descriptions
  - Make screenshot tool buildable with MSVC
  - Disable animations before taking screenshots
- Remove property nicks and blurbs
- Make property flags consistent
- Fix symbols added in 1.1 being erroneously marked as 1.0
- Fix a Meson error when using as a subproject
- Various internal changes and cleanups
Translation updates:
  - Basque
  - Brazilian Portuguese
  - British English
  - Bulgarian
  - Catalan
  - Chinese (China)
  - Chinese (Taiwan)
  - Dutch
  - French
  - Galician
  - Georgian
  - German
  - Hebrew
  - Lithuanian
  - Nepali
  - Persian
  - Portuguese
  - Russian
  - Spanish
  - Swedish
  - Turkish
  - Ukrainian

=============
Version 1.1.0
=============

- Fix introspection-related build warnings
- Translation updates:
  - Finnish
  - Hungarian
  - Italian
  - Kazakh
  - Serbian

==============
Version 1.1.rc
==============

- AdwAvatar
  - Fix invalid UTF-8 handling
- AdwStyleManager
  - Follow color-scheme on macOS
  - Don't disable non-CSS animations during style changes
- AdwToast
  - Fix GVariant handling
- Stylesheet
  - Fix scrollbars inside .osd widgets
- Fix carousel indicator sizing
- Memory leak fixes
- Translation updates:
  - Czech
  - Croatian
  - Danish
  - German
  - Japanese
  - Korean
  - Slovak
  - Turkish

================
Version 1.1.beta
================

- Fix building with MSVC
- AdwActionRow
  - Don't make activatable if the activatable widget is insensitive
- AdwClamp
  - Fix measure() with height-for-width children
- AdwComboRow
  - Fix end padding when the dropdown arrow is hidden
- AdwExpanderRow
  - Fix focus handling
- AdwPreferencesGroup
  - Add support for header suffixes
- AdwPreferencesRow
  - Add 'title-selectable' property
- Demo
  - Fix combo rows in AdwCarousel demo
  - Remove the "Frobnicate" button
- Docs
  - Fix AdwViewSwitcherBar and AdwViewStack examples
  - Fix typos
  - Better wording for @self parameters
- Stylesheet
  - Fix radio hover state in GtkPopoverMenu
  - Don't draw textview background 2 times
- Translation updates:
  - Abkhazian
  - French
  - Indonesian
  - Occitan
  - Persian
  - Vietnamese

=============
Version 1.0.1
=============

- Include pre-built stylesheet and docs into release tarballs

=============
Version 1.0.0
=============

- Rework GtkInspector page to not require a module, remove -Dinspector
- Accessibility fixes in action row, flap, leaflet, preferences group,
  preferences page, status page, view switcher, window
- Animation
  - Properly mark AdwAnimation as abstract
  - Make ADW_DURATION_INFINITE introspectable
- Carousel
  - Fix reorder(), prepend() and insert() behavior
- Clamp Layout
  - Fix measure() behavior
- Demo
  - Split every page into separate files
  - Remove .app-notification demo
  - Fix the animation skip button sensitivity
  - Fix capitalization
  - Various cleanups
- Add a hello world example
- Documentation
  - Add a screenshot generator, update all screenshots
  - Add widget screenshots
  - Update build instructions
  - Update visual index
  - New pages:
    - Initialization
    - Adaptive Layouts
    - Boxed Lists
    - Styles and Appearance
    - Named Colors
    - Style Classes
  - Various small updates
- Leaflet
  - Fix property notification ordering when starting a swipe
- Stylesheet
  - Improve emoji chooser styles
  - Add hover style to .activatable GtkGridView children
  - Fix menu checks
  - Fix @warning_fg_color to be legible against @warning_bg_color
- Tab Bar
  - Fix various layout warnings
- Tab View
  - Implement adding pages from ui files
  - Propagate Alt-[0-9] if selected tab doesn't change
- Toast Overlay
  - Implement adding toasts from ui files
- Translation updates:
  - Basque
  - Brazilian Portuguese
  - Chinese (China)
  - Friulian
  - Galician
  - Hebrew
  - Lithuanian
  - Polish
  - Portuguese
  - Romanian
  - Russian
  - Slovenian
  - Spanish

====================
Version 1.0.0.beta.1
====================

- Build
  - Depend on GTK 4.5.0.
  - Depend on GLib 2.66.
  - Fix building as a subproject.
  - Remove unused dependencies.
- Introduce AdwToastOverlay for showing in-app notifications
- Introduce AdwAnimation - a basic animation API
  - AdwTimedAnimation provides simple time-based animations.
  - AdwSpringAnimation provides flexible animations based on spring
    physics.
  - Replace adw_ease_out_cubic() with adw_easing_ease().
  - Make adw_lerp() public.
- adw_init() now automatically calls gtk_init().
- Use G_DEFINE_FINAL_TYPE if available.
- Action Row
  - Increase spacing between title and subtitle.
- Carousel
  - Use spring animations for scrolling, replace animation-duration with
    scroll-params.
  - Remove adw_carousel_scroll_to_full(), add 'animate' parameter to
    adw_carousel_scroll_to() instead.
- Flap
  - Use spring animations for reveal, replace reveal-duration with
    reveal-params.
- Leaflet
  - Rename can-swipe-back/forward to can-navigate-back/forward, make
    them handle mouse back/forward buttons, back/forward keys, as well
    as Alt+arrow shortcuts.
  - Make child transitions use spring animations, replace
    child-transition-duration with child-transition-params.
- Preferences Page
  - Remove adaptive margins - they never worked properly.
- Preferences Window
  - Rename can-swipe-back to can-navigate-back, following the equivalent
    AdwLeaflet change.
  - Add API to show toasts.
- Swipe Tracker
  - Move 'begin-swipe' signal to when the swipe actually starts instead
    of when it's detected; add 'prepare' to replace it.
  - Replace duration with velocity in the 'end-swipe' signal.
- Status Page
  - Update title label style.
- Style Manager
  - Set GtkSettings:gtk-application-prefer-dark-theme=true for dark.
  - Properly reset enable-animations.
- Stylesheet
  - New style classes
    - entry.success to match entry.warning and entry.error
    - Generic .success to match .warning and .error.
    - checkbutton.selection-mode
  - Tweak accent color in dark variant, use accent_color/accent_bg_color
    more consistently.
  - Consistently support regular/bg/fg variants for success, warning
    and error colors.
  - Make menu items taller.
  - Make checked buttons more visible.
  - Update entry style.
  - Update GtkTreeView and GtkColumnView header style.
  - Tweak check button style.
  - Update window and popover shadows.
  - Make boxed lists use shadows as well.
  - Use white accent color for .osd.
  - Use tabular figures for GtkCalendar.
  - Support .navigation-sidebar in combination with .background.
  - Remove the GtkButton .outline class.
  - Remove .content-view check buttons.
  - Fix check hover styles in menus.
- Tab Bar
  - Fix needs-attention indicators.
- Tab View
  - Remove shortcut-widget, use managed shortcuts instead.
- View Stack
  - Layout fixes
  - Remove crossfade transition.
- View Switcher
  - Update styles.
  - Fix measure() criticals.
  - Fix a crash when hiding the visible child.
  - Fix outlines in high contrast mode.
- View Switcher Title:
  - Always hide switcher in mobile.
- Various fixes and cleanups.
- Translation updates:
  - Russian
  - Spanish
  - Swedish
  - Ukrainian

=====================
Version 1.0.0.alpha.4
=====================

- Depend on meson 0.59.0.
- Action Row
  - Drop use-underline property.
  - Stop supporting mnemonics on subtitles.
  - Support markup on the title and subtitle.
  - Fix layout with empty title and subtitle.
  - Don't expand horizontally by default.
  - Fix row titles inside GtkMessageDialog.
- Avatar
  - Crop non-square custom images to fill the avatar.
- Carousel
  - Fix a crash when scrolling in an empty carousel.
- Clamp
  - Set the proper accessible role.
- Combo Row
  - Fix row colors while the popover is open.
- Demo
  - Add a style classes demo.
  - Add about dialog.
  - Add an inspector item to the primary menu.
  - Change appid to org.gnome.Adwaita1.Demo to version it.
  - Add an icon, metainfo and desktop file.
    - Make the desktop file visible for nightly flatpaks.
  - Make non-unique.
  - Tighten flatpak permissions.
  - Various polish.
- Expander Row
  - Drop use-underline property.
  - Rename adw_expander_row_add() to adw_expander_row_add_row().
- Inspector
  - Fix color scheme resetting when opening inspector.
- Preferences Window:
  - Fix a memory leak.
- Status Page
  - Allow setting the icon from a paintable and not just icon name.
  - Set the proper accessible role.
  - Reduce margins with the .compact style class.
- Style Manager
  - Fix styles breaking when setting gtk-application-prefer-dark-theme.
  - Fix crash on systems with xdg-desktop-portal but no settings portal.
  - Fix a memory leak.
- Stylesheet
  - New style classes:
    - .card to have a style similar to a boxed list for a standalone
      widget. Can be combined with .activatable to have hover and active
      states, or can be added to GtkButton to have them automatically.
    - button.opaque to allow custom colored buttons in the style of that
      look like .suggested-action or .destructive-action.
    - tabbar.inline and searchbar.inline - to opt out from using header
      bar colors for AdwTabBar and GtkSearchBar.
  - Boxed lists
    - Rename .content to .boxed-list to match HIG, keep .content as an
      alias.
    - Stop supporting .content with GtkListView as it was broken anyway.
    - Fix focus ring offsets.
  - Sidebars
    - Use the same background as the window.
    - Make .navigation-sidebar handle background, so it's sufficient to
      achieve the proper style.
    - Deprecate the .sidebar style class.
  - Buttons
    - Stop supporting button.flat.suggested-acton and
      button.flat.destructive-action. Special case those styles for
      GtkMessageDialog buttons instead.
    - Support .pill on GtkMenuButton
    - Support .suggested-action and .destructive-action on GtkMenuButton
      and AdwSplitButton.
    - Use toolbar-style buttons for GtkSearchBar.
    - Fix AdwSplitButton styles in high contrast mode.
    - Reduce disabled flat button opacity to make them easier to tell
      apart from the regular state.
  - Popovers
    - Drop popover.combo, make popover.menu handle this case instead.
    - Unify GtkDropDown and AdwComboRow popup styles with menus.
    - Fix a double border with menu radios in high contrast mode.
  - Refresh UI colors.
  - Refresh scrollbar style.
  - Unify progress bar and level bar sizes and styles.
  - Make checks and radios larger.
  - Refresh border radii across the board.
  - Refresh scroll overshoot effect.
  - Remove notebook header background.
  - Export all UI colors and allow overriding them.
  - Use accent color for active drop styles.
  - Ensure proper opacity for the high contrast mode.
  - Simplify recoloring for GtkScale, GtkCheckButton, GtkSwitch,
    GtkColumnView and AdwTabBar.
  - Various toolbar button fixes.
  - Make entry.error and .warning style icons and progress bar too.
  - Fix disabled state on GtkScale, GtkNotebook and GtkSpinButton.
  - Fix GtkMessageDialog paddings.
  - Fix margins on GtkWindowControls icon.
  - Stop removing toolbar.osd rounding in overlays.
  - Remove a GtkGridView override specific to gtk4-icon-browser.
- Tab Bar
  - Fix artifacts when maximizing the window.
  - Fix hover.
  - Handle middle click on button release and not press.
  - Show close button correctly when raising the window and the pointer
    is already over a tab.
- View Switcher
  - Fix screen readers reading page titles 4 times.
- Add API to allow checking libadwaita version in runtime.
- Various fixes and cleanups.
- Translation updates:
  - Finnish
  - Indonesian
  - Occitan
  - Persian
  - Polish
  - Serbian
  - Swedish

===================
Version 1.0.0.alpha.3
===================

- Depend on GTK 4.4.0.
- Add a GtkInspector extension for simulating different system appearance
  settings. It can be disabled with -Dinspector=false.
- Introduce AdwStyleManager for managing color schemes (light/dark) and
  high contrast mode.
  - Support the cross-platform color scheme preference in the
    settings portal.
- Introduce AdwApplication to handle automatic initialization and style
  loading.
- Add adw_is_initialized() function.
- Add AdwSplitButton to have consistent split buttons in toolbars.
- Add AdwButtonContent as an easy way to create buttons with an icon and
  a label inside.
- Remove AdwValueObject.
- Rename AdwEnumValueObject to AdwEnumListItem.
- Avatar:
  - Replace adw_avatar_draw_to_pixbuf() with adw_avatar_draw_to_texture()
    that returns a GdkTexture instead.
    - Remove the size parameter, use the avatar's current size instead.
- Carousel
  - Allow to shrink carousel if children are expanded.
- Clamp
  - Fix measuring with for_size = -1.
- Combo Row:
  - Have a .combo style class.
- Leaflet:
  - Remove hhomogeneous-folded, hhomogeneous-unfolded, vhomogeneous-folded
    and vhomogeneous-unfolded properties. Assume non-homogeneous layout
    when unfolded and homogeneous when folded.
  - Add a single homogeneous property that corresponds to folded state and
    opposite orientation.
  - Remove interpolate-size, assume it's set to true.
  - Set the fold threshold policy to MINIMUM by default.
- Preferences Group:
  - Fix default visibility of the internal list box.
  - Allow markup on title and description.
- Squeezer
  - Fix the child switch threshold in vertical orientation.
  - Add switch-threshold-policy, matching AdwFlap and AdwLeaflet.
  - Add allow-none property, allowing to hide the last child as well.
- Status Page
  - Make icon optional.
- Tab View
  - Fix model updates when page selection changes.
- View Switchers:
  - Remove AdwViewSwitcher:narrow-ellipsize.
  - Remove the policy property from AdwViewSwitcherBar and
    AdwViewSwitcherTitle.
  - Remove the auto policy, applications can use two view
    switchers and an AdwSqueezer instead.
  - Switch to narrow layouts earlier.
- Window and Application Window:
  - Rename the child property to content to avoid the name clash with
    GtkWindow:child.
- Stylesheet:
  - New style classes:
    - headerbar.flat to remove headerbar's background and border.
    - separator.spacer to create spacing in toolbars or header bars.
    - button.pill for prominent standalone buttons, for example on status
      pages.
    - statuspage.compact to make AdwStatusPage suitable for contexts such
      as sidebars.
    - .numeric as an easy way to enable tabular figures in a label.
  - Use flat buttons by default in header bars and action bars, matching
    existing .toolbar.
    - .raised style class on GtkButton, GtkMenuButton, or AdwSplitButton
      can be used to use the regular style instead.
  - Make window controls filled instead, leave the clickable area larger
    than the visible buttons.
  - Fix broken styles when .content style class is used together with
    GtkListBox:show-separators set to true.
  - Remove @content_view_bg and @text_view_bg colors.
  - Remove .content-view style class.
  - Add previously removed public colors @theme_selected_bg/fg_color and
    the backdrop colors as compatibility aliases. Applications shouldn't
    use them in new code regardless.
  - Use stripes for header bars in .devel windows instead of cogs to make
    it work better with split header bars and flat header bars.
  - Make .osd more visible in dark variant.
  - Make borders more visible in dark variant.
  - Fix padding on buttons inside popovers inside header bars.
  - Fix double focus rings on labels.
- Implement get_request_mode() and compute_expand() where appropriate.
- Various fixes and cleanups.
- Translation updates:
  - Brazilian Portuguese
  - Czech
  - Danish
  - Galician
  - Lithuanian
  - Korean
  - Portuguese
  - Serbian
  - Ukrainian

=====================
Version 1.0.0-alpha.2
=====================

- Stylesheet:
  - Large redesign to make it flat and recolorable.
  - Replace @theme_suggested_bg_color by @accent_bg_color and
    @accent_color.
  - Replace @theme_suggested_fg_color by @accent_fg_color.
  - Add @destructive_bg_color, @destructive_fg_color and
    @destructive_color.
  - Add the .accent style class to give the accent color to labels.
  - Add the palette colors in the form @hue_n, with hue being blue,
    green, yellow, orange, red, purple, brown, light and dark, and n
    being a darkness level from 1 to 5.
- View Switcher:
  - Add the AdwViewStack widget to represent views.
  - Use AdwViewStack instead of GtkStack.
  - Display a badge on buttons to display the pages' value from the
    AdwViewStack:badge-number property.
  - Keep displaying needs-attention when active.
- Preferences Page:
  - Add the name property.
- Preferences Window:
  - Add the visible-child and visible-child-name properties.
- Leaflet and Flap:
  - Add the AdwFoldThresholdPolicy enumeration.
  - Add the fold-threshold-policy property to determine the size at
     which the leaflet or flap should fold.
- Leaflet:
  - Fix a crash by NULL-checking a pointer before dereferencing it when
    there is no children.
  - Annotate the values of the visible-child and visible-child-name
    properties as nullable in their accessors.
- Action Row and Expander Row:
  - Annotate the value of the icon-name property as nullable in its
    accessors.
- Tab View:
  - Fix updating the model at the right time after attaching pages.
  - Fix emitting notify::selected-page after the model has been
    completely updated.
  - Prevent pages from receiving pointer events during drag and drop.
- Combo Row:
  - Fix subtitles when the model is empty and when using expressions.
- Carousel:
  - Fix a crash with 2 overlapping animations.
  - Fix a crash when scrolling when there is no children.
- Avatar:
  - Fix memory leaks in adw_avatar_draw_to_pixbuf().
  - Fix a memory leak in the avatar demo.
- Fix crashes by freeing shaders at the right time.
- Specify the translation domain in UI files to avoid leaving them
  unlocalized.
- Fix cross-compilation with -Dgtk_doc=true.
- Stop accepting NULL for most string properties, use the empty string
  instead.
- Translation updates:
  - German
  - Indonesian
  - Chinese (China)

=====================
Version 1.0.0-alpha.1
=====================

- First libadwaita 1 alpha.
- Check the migration guide in the documentation to port from libhandy
  to it.
